/* Example of dual views of 1 VMAP */
#include "vwinl.h"

/* Secondary window's callback. Nothing to do! */
long other_cb(HWND hWnd, UINT Message,
            UINT wParam, LONG lParam)
  {
  return DefWindowProc(hWnd,Message,wParam,lParam);
  }



/* Main window callback */
long usr_cb(HWND hWnd, UINT Message,
            UINT wParam, LONG lParam)
  {
   HWND other;
   if (Message==WM_VCREATE)
       {
       Vresize_winmap(hWnd,150,100);
       TextOut(Vget_vdc(hWnd),5,50,"Hello Universe",14);
       Vcommit_draw(hWnd);
/* Create secondary window */
       Vcreate_window("Scroll Window",
                        WS_OVERLAPPEDWINDOW,100,100,
                        50,50,NULL,NULL,
                        other_cb,
                        V_NOMAP|V_AUTOHSCROLL|V_AUTOVSCROLL|
                        V_NOQUIT|V_NOFREEMAP,
                        NULL,&other,SW_SHOW);
/* Select our VMAP into secondary */
       Vselect_map(other,Vget_map(hWnd));
      }
  return DefWindowProc(hWnd,Message,wParam,lParam);
  }

int main(HANDLE hInstance, HANDLE hPrevInstance,
                   LPSTR lpszCmdLine, int nCmdShow )
   {
   HWND hWnd;
   if (Vcreate_window("Simple Test Program",
                        WS_OVERLAPPEDWINDOW,10,10,
                        50,50,NULL,NULL,
                        usr_cb,V_SCALE,
                        NULL,&hWnd,nCmdShow))
        {
        MessageBox(NULL,"Can't create window",NULL,MB_OK);
        return 0;
        }
   return 1;
   }
