# Borland Makefile for FREESHOW.EXE
# Use MAKE -f MAKEFILE.BF

.AUTODEPEND
#               *Translator Definitions*
CC = bcc +freeshow.cfg
TASM = tasm
TLIB = tlib
TLINK = tlink
LIBPATH = D:\BORLANDC\LIB
INCLUDEPATH = D:\BORLANDC\INCLUDE


#               *Implicit Rules*
.c.obj:
  $(CC) -c {$< }

freeshow.exe: freeshow.cfg freeshow.obj freeshow.def freeshow.rc freeshow.h vwin.obj
  $(TLINK) /v/x/c/P-/Twe/L$(LIBPATH) @&&|
c0ws.obj+
freeshow.obj+
vwin.obj
freeshow
                # no map file
mathws.lib+
import.lib+
cws.lib
freeshow.def
|
  rc -t freeshow.rc freeshow.exe


freeshow.obj: freeshow.cfg freeshow.c freeshow.h vwinl.h
vwin.obj: freeshow.cfg vwin.c vwinl.h

#               *Compiler Configuration File*
freeshow.cfg: makefile.
  copy &&|
-R
-2
-v
-W
-vi-
-wpro
-weas
-wpre
-w-par
-I$(INCLUDEPATH)
-L$(LIBPATH)
| freeshow.cfg


